<customization>
    <registry>
        <wireless-village>
            <file-operations>
                <!-- Do the following only at first upstart -->
                <first-upstart parse-mask="f">
                  <!--     <file-op op="move" source="/some-dir/some-file" dest="/some-other-dir/some-file"/>-->
                </first-upstart>
                <!-- Do the following only at Master reset all -->
                <master-reset-all parse-mask="a">
                 <!--   <file-op op="purgedir" dest="/tpa/system/some-dir"/>-->
                </master-reset-all>
                <!-- Do the following allways -->
                <!-- <file-op op="copy" source="/tpa/preset/custom/srcfile.txt" dest="/tpa/system/destfile.txt"/>-->
            </file-operations>

            <registry-operations>
              <!-- Registry operations to delete registry information i.e at Master reset -->

              <first-upstart parse-mask="f">
                <reg-op op="delete" reg-path="/apps/wireless-village"/>
              </first-upstart>

              <master-reset-all parse-mask="a">
                <reg-op op="delete" reg-path="/apps/wireless-village"/>
              </master-reset-all>

              <master-reset-settings parse-mask="s">
                <reg-op op="delete" reg-path="/apps/wireless-village"/>
              </master-reset-settings>
              
            </registry-operations>

            <!-- Application defaults -->
            <settings reg-path="/apps/wireless-village">
              <!-- For WV this is the only thing that HAS to be present in registry -->
              <account-temp>
                <!-- This account is used for Unified Provisioning (CP & DM) -->
                <username type="wstr">""</username>
                <password type="wstr">""</password>
                <server-address type="wstr">""</server-address>
                <wap-profile type="wstr">""</wap-profile>
                <autologin type="bool">false</autologin>
                <allow-wv-if-roaming type="bool">false</allow-wv-if-roaming>
                <up-lock type="uint">0</up-lock>
                <up-app-lock type="uint">0</up-app-lock>
                <up-notify type="uint">0</up-notify>
              </account-temp>
            </settings>
        </wireless-village>
    </registry>
</customization>